cURL
curl --request GET \
--url https://api.bold-factory.com/v1/onboarding \
--header 'Authorization: Bearer <token>' \
--header 'Onboarding-Token: <onboarding-token>'import requests
url = "https://api.bold-factory.com/v1/onboarding"
headers = {
"Onboarding-Token": "<onboarding-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Onboarding-Token': '<onboarding-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.bold-factory.com/v1/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenantName": "<string>",
"workspace": "<string>",
"ownerName": "<string>",
"ownerEmail": "<string>",
"status": "<string>",
"accessUrl": "<string>",
"mainPlan": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"active": true,
"referenceMonthlyNetPrice": 123,
"holdedTaxKey": "<string>",
"limits": {
"maxEmployees": 123,
"maxSkus": 123,
"maxLocations": 123,
"monthlyAiCreditLimit": 123,
"allowProductionPlans": true,
"allowMultipleLots": true,
"apiKeyRequestsPerMinute": 123,
"globalRequestsPerMinute": 123
}
},
"fiscalProfile": {
"legalName": "<string>",
"taxIdentificationNumber": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"countryCode": "<string>",
"billingEmail": "<string>",
"billingContactName": "<string>",
"billingContactPhone": "<string>"
},
"paymentMethodSetup": {
"setupIntentId": "<string>",
"clientSecret": "<string>",
"checkoutUrl": "<string>",
"checkoutStatus": "<string>"
}
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Tenants
Get v1onboarding
GET
/
v1
/
onboarding
cURL
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Encabezados
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes